<template>
    <v-btn
      class="
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
      color="badge"
      @click="goToPage(menus.HOWPICKFORMEWORKS.id)"
    >
      {{ $t('buttons.pickForMeBtn') }}
    </v-btn>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'

@Component({
  computed: mapGetters({
    menus: 'menu/getMenu'
  })
})

export default class AppBar extends Vue{
    menus!: any

    goToPage (id: Number) {
        switch (id) {
            case this.menus.HOWPICKFORMEWORKS.id:
                this.$router.push(this.menus.HOWPICKFORMEWORKS.path)
                break
        }
    }
}
</script>
